# nlesource

The NleSource encapsulates a pipeline which produces data for processing in a nlecomposition.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──NleObject
                            ╰──NleSource

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Wim Taymans <wim.taymans@gmail.com>, Edward Hervey <bilboed@bilboed.com></bilboed@bilboed.com></wim.taymans@gmail.com>

Classification: – `Filter/Editor`

Rank – none

Plugin – nle

Package – GStreamer Editing Services

## Pad Templates

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Properties

### reverse

    “reverse” gboolean

Flags : Read / Write

Default value : false

Since : 1.26

The results of the search are